﻿// Keep these lines for a best effort IntelliSense of Visual Studio 2017.
/// <reference path="./../Packages/Beckhoff.TwinCAT.HMI.Framework.12.752.0/runtimes/native1.12-tchmi/TcHmi.d.ts" />

function ReadPLCVariable(symbolString) {
    return new Promise((resolve, reject) => {
        var symbol = new TcHmi.Symbol(symbolString);
        symbol.readEx(function (data) {
            if (data.error === TcHmi.Errors.NONE) {
                resolve(data.value);
            } else {
            const errorData = {
                ErrorCode: data.error,
                ErrorText: `Error in ReadPLCVariable symbolString = ${symbolString}`
                };
                reject(errorData);
            }
        });
    });
}
function WritePLCVariable(symbolParameter, dataParameter) {
    return new Promise((resolve, reject) => {
        TcHmi.Symbol.writeEx(symbolParameter, dataParameter, function (data) {
            if (data.error === TcHmi.Errors.NONE) {
                resolve(data.error);
            } else {
            const errorData = {
                ErrorCode: data.error,
                ErrorText: `Error in WritePLCVariable, symbolParameter = ${symbolParameter}`
                };
                reject(errorData);
            }
        });
    });
}

(function (/** @type {globalThis.TcHmi} */ TcHmi) {
    // If you want to unregister an event outside the event code you need to use the return value of the method register()
    var destroyOnInitialized = TcHmi.EventProvider.register('onInitialized', function (e, data) {
        // This event will be raised only once, so we can free resources. 
        // It's best practice to use destroy function of the event object within the callback function to avoid conflicts.
        e.destroy();
        // ----------------------
        // Place your code here!
        // ----------------------
    });
})(TcHmi);
